Ошибка при установки mc на Freebsd

freebsd

При установки Freebsd 10.2 следующий устанавливаемый мною пакет был mc (midnight commander) не знаю зачем его ставлю наверное тупая старая привычка, но при установки вылетела следующая ошибка:

Ошибка противная но не критическая,  для того что бы ее победить нам необходимо:

  1. сделать обновление Freebsd на новую версию (в моем случае последняя версия это 10.3) в этом Вам поможет моя инструкция — как обновить Freebsd
  2. необходимо обновить дерево портов командой portsnap fetch && portsnap extract && portsnap update
  3. после этого можно продолжать установку mc на freebsd — по данной инструкции

вот таким не хитрым способом можно обойти ошибку (я бы даже сказал рекомендацию): Ports Collection support for your FreeBSD version has ended, and no ports are guaranteed to build on this system. Please upgrade to a supported release.

Понравилась статья? Поделиться с друзьями:
Блог ITишника и просто человека
Комментариев: 1
  1. vitalii pavaluk

    # uname -srm
    FreeBSD 11.0-RELEASE-p15 amd64
    Столкнулся с такой же проблемой при одновлении программ с помащью
    #portmaster -a
    сообщение говорит что прекращеа поддержка безопасности :

    ПРЕДУПРЕЖДЕНИЕ: FreeBSD 11.0-RELEASE-p15 ПРОХОДИТ СВОЕЙ ДЕЙСТВИТЕЛЬНОЙ ДАТЫ.
    Любые проблемы безопасности, обнаруженные после Пт 1 декабря 01:59:59 EET 2017
    не будут исправлены.

    И рекамендуют сделать следующее :

    #nano /etc/make.conf

    добавить строку :

    ALLOW_UNSUPPORTED_SYSTEM=yes

    #rehash

Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: